//
//  CommonHelper.h
//  TableViewFull
//
//  Created by SunLi on 16/3/29.
//  Copyright © 2016年 lb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@interface CommonHelper : NSObject
/*
 字符串处理
 */
+ (BOOL)isEmptyOrNull: (NSString *)string;
+ (BOOL)isNotEmptyAndNull: (NSString *)string;
+ (NSString *)stringFromInteger:(NSInteger)integer;

/*
 显示消息提示框
 */
+ (void)showAlert:(NSObject *)controller andTitle:(NSString *)title andMessage:(NSString *)message;
+ (void)showAlert:(NSObject *)controller andTitle:(NSString *)title andMessage:(NSString *)message andCancleTitle:(NSString *)cancleTitle;

/*
 颜色型控制
 */
+ (UIColor *)rgb:(CGFloat)r andg:(CGFloat)g andb:(CGFloat)b;
+ (UIColor *)rgba:(CGFloat)r andg:(CGFloat)g andb:(CGFloat)b anda:(CGFloat)a;
+ (UIColor *)hexColor:(NSString *)color;
+ (UIColor *)hexColorAlpha:(NSString *)color andAlpha:(CGFloat)alpha;

@end
