//
//  MFSettingArrowItem.h
//  TableViewFull
//
//  Created by SunLi on 16/4/21.
//  Copyright © 2016年 lb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MFSettingCellItem.h"

/*
 *Table cell 右边的箭头项
 */
@interface MFSettingArrowItem : MFSettingCellItem
/** 右边图片名称 */
@property(nonatomic, copy) NSString *icon_right;
/*是否显示Arrow Icon名称*/
@property(nonatomic, assign)BOOL displayArrowIcon;
/** 跳转的控制器的类名 */
@property(nonatomic, assign) Class destVcClass;
//图标和标题初始化
+ (instancetype)itemWithIcon:(NSString *)icon title:(NSString *)title destVcClass:(Class)destVcClass;

//利用标题进行初始化
+ (instancetype)itemWithTitle:(NSString *)title destVcClass:(Class)destVcClass;

@end
