//
//  MFSettingArrowItem.m
//  TableViewFull
//
//  Created by SunLi on 16/4/21.
//  Copyright © 2016年 lb. All rights reserved.
//

#import "MFSettingArrowItem.h"

@implementation MFSettingArrowItem

//利用图标和标题进行初始化
+ (instancetype)itemWithIcon:(NSString *)icon title:(NSString *)title destVcClass:(Class)destVcClass {
    MFSettingArrowItem *item = [super itemWithIcon:icon title:title];
    item.destVcClass = destVcClass;
    return item;
}

//利用标题进行初始化
+ (instancetype)itemWithTitle:(NSString *)title destVcClass:(Class)destVcClass
{
    MFSettingArrowItem *item = [super itemWithTitle: title];
    item.destVcClass = destVcClass;
    return item;
}
@end
