//
//  MFSettingCell.m
//  TableViewFull
//
//  Created by SunLi on 16/4/21.
//  Copyright © 2016年 lb. All rights reserved.
//

#import "MFSettingCellItem.h"

@implementation MFSettingCellItem

//利用图标和标题初始化
+ (instancetype)itemWithIcon:(NSString *)icon title:(NSString *)title
{
    MFSettingCellItem *item = [[self alloc] init];
    item.icon = icon;
    item.title = title;
    return item;
}

//用标题初始化
+ (instancetype)itemWithTitle:(NSString *)title
{
    MFSettingCellItem *item = [[self alloc]init];
    item.title = title;
    return item;
}

@end
