//
//  MineBlockViewItem.m
//  TableViewFull
//
//  Created by SunLi on 16/4/30.
//  Copyright © 2016年 lb. All rights reserved.
//

#import "MineBlockViewItem.h"

@interface MineBlockViewItem()

@property(nonatomic, strong)UILabel *leftHeader;
@property(nonatomic, strong)UILabel *rightHeader;
@property(nonatomic, strong)UILabel *buttom;
//头部视图
@property(nonatomic, strong)UIView *headerView;
@end

@implementation MineBlockViewItem

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self){
    }
    return self;
}

//Override 重写设置方法
- (void)setNumber:(NSInteger)number
{
     _leftHeader.font = [UIFont boldSystemFontOfSize:20];
    NSString *leftTitle = [NSString stringWithFormat:@"%ld",number];
    _leftHeader.text = leftTitle;
    [_leftHeader reloadInputViews];
}

//加载初始化
-(void)initWithTitle:(NSInteger)number hType:(NSString *)typeTitle hButtom:(NSString *)buttomTitle hColor:(UIColor *)headColor
{
        
       CGSize size = self.bounds.size;  //当前宽度
       _headerView = [[UIView alloc]initWithFrame:CGRectMake(self.frame.origin.x, self.frame.origin.y, size.width, size.height)];
    
        CGSize hdViewSize = _headerView.frame.size;
        NSString *leftTitle = [NSString stringWithFormat:@"%ld",number];
        //计算文字的CGSize
        CGSize titleSize = [leftTitle sizeWithAttributes:@{
                                                           NSFontAttributeName:[UIFont boldSystemFontOfSize:20]
                                                           }];
        //文字居中
        _leftHeader = [[UILabel alloc]initWithFrame:CGRectMake((hdViewSize.width - titleSize.width)/2-6, 20, titleSize.width+6, titleSize.height)];
         _leftHeader.textAlignment = NSTextAlignmentCenter;
        _leftHeader.font = [UIFont boldSystemFontOfSize:20];
        [_leftHeader setText:leftTitle];
        _leftHeader.textColor = headColor;
        
        _rightHeader = [[UILabel  alloc]initWithFrame:CGRectMake(CGRectGetMaxX(_leftHeader.frame), 24, 20, titleSize.height)];
        _rightHeader.font = [UIFont systemFontOfSize:8];
        [_rightHeader setText:typeTitle];
        _rightHeader.textColor = headColor;
        
        [_headerView addSubview:_leftHeader];
        [_headerView addSubview:_rightHeader];
    
        //获取
        CGSize buttomSize = [buttomTitle sizeWithAttributes:@{NSFontAttributeName:[UIFont
                                                                                   boldSystemFontOfSize:12]}];
        _buttom = [[UILabel alloc]initWithFrame:CGRectMake((self.bounds.size.width - buttomSize.width)/2, CGRectGetMaxY(_headerView.frame), buttomSize.width, buttomSize.height)];
        [_buttom setText:buttomTitle];
        [_buttom setFont:[UIFont systemFontOfSize:12]];
    
        [self addSubview:_headerView];
        [self addSubview:_buttom];
}

@end
