//
//  MineTableViewHeader.h
//  TableViewFull
//
//  Created by SunLi on 16/4/30.
//  Copyright © 2016年 lb. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>

//定义事件处理
typedef void(^MineHeaderClickBlock)(NSInteger clickTag);

@interface MineTableViewHeader : UIView
//
@property (nonatomic, strong)UITableView *tableView;
//背景视图
@property (nonatomic, strong)UIView *backImageView;
//头像
@property (nonatomic, strong)UIView *picImageView;
@property (nonatomic, copy)NSString *userName;
@property (nonatomic, copy)NSString *phone;
//
@property (nonatomic, copy)NSMutableArray *navArray;

@property (nonatomic, copy)MineHeaderClickBlock operation;

/*
 *利用tableView、背景视图、头像视图初始化
*/
-(void)headerWithTableView:(UITableView*)tableView backgroundView:(UIView*)view subviews:(UIView*)subviews;


- (void)scrollViewDidScroll:(UIScrollView*)scrollView;

- (void)resizeView;

@end
