
//  Created by SunLi on 16/4/13.
//  Copyright © 2016年 lb. All rights reserved.
//
#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

/*
 ios屏幕相关操作
 */
@interface IPhoneScreen : NSObject

/*
 iphone 手机类型判断
 */
+ (BOOL)iphone4x_3_5;
+ (BOOL)iphone5x_4_0;
+ (BOOL)iphone6_4_7;
+ (BOOL)iphone6Plus_5_5;
//手机操作系统判断
+ (float)version;
+ (BOOL)ios9x;
+ (BOOL)ios8x;
+ (BOOL)ios7x;
+ (BOOL)ios6x;
+ (BOOL)iosNot6x;

/*
 IOS屏幕
*/
+ (CGFloat)screenHeight;
+ (CGFloat)screenWidth;
+ (CGRect)screenBounds;
+ (CGRect)screenFrame;
+ (CGSize)screenSize;
//转屏幕时中心计算
+ (CGRect)frameForOrientation: (UIInterfaceOrientation)orientation;
//方向判断
+ (BOOL)screenLandscapeOrientation;
@end
