//
//  MFSettingCell.h
//  TableViewFull
//
//  Created by SunLi on 16/4/21.
//  Copyright © 2016年 lb. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MFSettingCellItem.h"

@interface MFSettingCell : UITableViewCell

/** 模型 */
@property (nonatomic, strong) MFSettingCellItem *item;
//索引index
@property (nonatomic, strong) NSIndexPath *indexPath;

/** cell背景颜色 */
@property (nonatomic, strong) UIColor *backgroundColor_Normal;

/** cell选中背景颜色 */
@property (nonatomic, strong) UIColor *backgroundColor_Selected;

/** cell箭头名称 */
@property(nonatomic,copy)NSString* iconArrow;

/** cell右边Label字体 */
@property (nonatomic, strong) UIFont *rightLabelFont;

/** cell右边Label字体颜色 */
@property (nonatomic, strong) UIColor *rightLabelFontColor;

//创建cell
+ (instancetype)cellWithTableView:(UITableView *)tableView;

@end
