//
//  MFSettingGroup.h
//  TableViewFull
//
//  Created by SunLi on 16/4/21.
//  Copyright © 2016年 lb. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
/*
 *每组数据，分组控制
 */
@interface MFSettingGroup : NSObject

/** TableView每组的数据 */
@property(nonatomic, strong) NSArray *items;

/** TableView头部高度 */
@property(nonatomic, assign) CGFloat headerHeight;

/** TableView头部文本 */
@property(nonatomic, copy) NSString *header;

/** TableView底部高度 */
@property(nonatomic, assign) CGFloat footerHeight;

/** TableView底部文本 */
@property(nonatomic, copy) NSString *footer;

/** TableView头部视图 */
@property(nonatomic, strong) UIView *headerView;

/** TableView底部视图 */
@property(nonatomic, strong) UIView *footerrView;
@end
