//
//  CFSettingSwitchItem.h
//  TableViewFull
//
//  Created by SunLi on 16/4/21.
//  Copyright © 2016年 lb. All rights reserved.
//

#import "MFSettingCellItem.h"

// cell右边是Switch

typedef void(^MFSwitchValueChangedOpration)(BOOL);

@interface MFSettingSwitchItem : MFSettingCellItem

/** 使用block保存一段功能，在恰当的时候调用 */
@property(nonatomic, copy) MFSwitchValueChangedOpration opration_switch;

/** 默认开关状态 */
@property (nonatomic, assign) BOOL state;
//存储开关变量
@property (nonatomic, copy)NSString *uniqueId;

/** 根据MFSettingSwitchItem 设置的title获取 UISwitch的开关状态 */
+ (BOOL) isOnSwitchByTitle:(NSString *)title;

+ (BOOL) isOnSwitchByUniqueId:(NSString *)uniqueId;
//设定被选中存储状态
+ (void)setSwitchState:(NSString *)key value:(BOOL)value;
@end
